Loading...
Searching...
No Matches
mdds::segment_tree< KeyT, ValueT >::search_results Class Reference

## Classes

class | const_iterator

## Public Member Functions

bool | empty () const
size_type | size () const
search_results::const_iterator | begin () const
search_results::const_iterator | end () const

## Friends

class | segment_tree

## Member Function Documentation

## empty()

template<typename KeyT, typename ValueT>

bool mdds::segment_tree< KeyT, ValueT >::search_results::empty | ( |  | ) | const

inline

Check if this results pool is empty or not.

Returns
  true if this results pool is empty, otherwise false.

## size()

template<typename KeyT, typename ValueT>

size_type mdds::segment_tree< KeyT, ValueT >::search_results::size | ( |  | ) | const

inline

Count the number of results in this results pool.

Returns
  number of results in this results pool.